%global pypi_name ruamel.yaml.clib
%global pname ruamel-yaml-clib
Summary:        C version of reader, parser and emitter for ruamel.yaml derived from libyaml
Name:           python-%{pname}
Version:        0.2.8
Release:        1%{?dist}
License:        MIT
Vendor:         Microsoft Corporation
Distribution:   Azure Linux
URL:            https://pypi.org/project/ruamel.yaml.clib/
Source0:        https://files.pythonhosted.org/packages/46/ab/bab9eb1566cd16f060b54055dd39cf6a34bfa0240c53a7218c43e974295b/%{pypi_name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  libyaml-devel

%description
It is the C based reader/scanner and emitter for ruamel.yaml.

%package -n     python3-%{pname}
Summary:        %{summary}
BuildRequires:  python3-Cython
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-setuptools
Requires:       python3-ruamel-yaml

%description -n python3-%{pname}
It is the C based reader/scanner and emitter for ruamel.yaml.

%prep
%autosetup -n %{pypi_name}-%{version}
# Force regenerating C files from Cython sources
# rm -v $(grep -rl '/\* Generated by Cython')

%build
# cython refuses to cythonize a file in a directory that cannot be a Python module ¯\_(ツ)_/¯
%py3_build

%install
python3 setup.py install --single-version-externally-managed --skip-build --root %{buildroot}

%files -n python3-%{pname}
%license LICENSE
%doc README.rst
%{python3_sitearch}/_ruamel_yaml.cpython-*
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Feb 16 2024 Andrew Phelps <anphel@microsoft.com> - 0.2.8-1
- Upgrade to version 0.2.8

* Fri Oct 27 2023 CBL-Mariner Servicing Account <cblmargh@microsoft.com> - 0.2.0-1
- Auto-upgrade to 0.2.0 - Azure Linux 3.0 - package upgrades

* Mon Jun 21 2021 Rachel Menge <rachelmenge@microsoft.com> - 0.1.2-7
- Initial CBL-Mariner import from Fedora 34 (license: MIT)
- License verified

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 12 2020 Miro Hrončok <mhroncok@redhat.com> - 0.1.2-5
- Force regenerating C files from Cython sources
- Require python3-ruamel-yaml

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.1.2-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Aug 30 2019 Chandan Kumar <raukadah@gmail.com> - 0.1.2-1
- Initial package
